#ifndef DALLOC_H
#define DALLOC_H

/*
 * Allocates 2D memory of m_memb x n_memb elements
 * where each element is size bytes large.
 */
extern void * dalloc(size_t m_memb, size_t n_memb, size_t size)
  __attribute__ ((malloc));

/*
 * Frees the memory previously allocated by dalloc.
 */
extern void dalloc_free(void * ptr);

#endif /* DALLOC_H */
